Page MenuHomePhabricator

Compress enwiki InnoDB tables
Closed, ResolvedPublic

Description

Let's compress InnoDB on enwiki
Not super urgent, but creating this ticket so we don't forget.
This might result on more CPU usage as we've seen on s8, so ideally do this first on MariaDB 10.4 hosts.

  • labsdb1012
  • labsdb1011
  • labsdb1010
  • labsdb1009
  • dbstore1003
  • db2130
  • db2116
  • db2112
  • db2103
  • db2097
  • db2094
  • db2092
  • db2088
  • db2085
  • db2072
  • db2071
  • db1140
  • db1139
  • db1134
  • db1124
  • db1119
  • db1118
  • db1107
  • db1106
  • db1105
  • db1099
  • db1091
  • db1089
  • db1083
  • db1080 (copied to db1135)

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes
Marostegui updated the task description. (Show Details)Jun 8 2020, 12:18 PM
Marostegui updated the task description. (Show Details)Jun 9 2020, 9:39 AM

Mentioned in SAL (#wikimedia-operations) [2020-06-09T09:40:59Z] <marostegui> Compress InnoDB on db2072 T254462

Marostegui moved this task from Next to In progress on the DBA board.Jun 9 2020, 1:47 PM
Marostegui updated the task description. (Show Details)Jun 12 2020, 8:41 AM
Marostegui updated the task description. (Show Details)

Change 605161 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/puppet@production] db2092: Disable notifications

https://gerrit.wikimedia.org/r/605161

Mentioned in SAL (#wikimedia-operations) [2020-06-12T08:44:21Z] <marostegui> Compress InnoDB on db2092 - T254462

Change 605161 merged by Marostegui:
[operations/puppet@production] db2092: Disable notifications

https://gerrit.wikimedia.org/r/605161

Marostegui updated the task description. (Show Details)Jun 15 2020, 1:55 PM

Change 605732 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/puppet@production] db2092: Enable notifications

https://gerrit.wikimedia.org/r/605732

Change 605732 merged by Marostegui:
[operations/puppet@production] db2092: Enable notifications

https://gerrit.wikimedia.org/r/605732

Mentioned in SAL (#wikimedia-operations) [2020-06-16T06:56:01Z] <marostegui@cumin2001> dbctl commit (dc=all): 'Depool db1134 for InnoDB compression T254462', diff saved to https://phabricator.wikimedia.org/P11522 and previous config saved to /var/cache/conftool/dbconfig/20200616-065600-marostegui.json

Mentioned in SAL (#wikimedia-operations) [2020-06-16T06:57:00Z] <marostegui> Compress InnoDB on db1134 T254462

Change 605811 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/puppet@production] db1134: Disable notifications

https://gerrit.wikimedia.org/r/605811

Change 605811 merged by Marostegui:
[operations/puppet@production] db1134: Disable notifications

https://gerrit.wikimedia.org/r/605811

Mentioned in SAL (#wikimedia-operations) [2020-06-16T13:32:42Z] <marostegui@cumin2001> dbctl commit (dc=all): 'Repool db2092 T254462', diff saved to https://phabricator.wikimedia.org/P11535 and previous config saved to /var/cache/conftool/dbconfig/20200616-133241-marostegui.json

Marostegui updated the task description. (Show Details)Jun 22 2020, 4:46 AM

Change 606849 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/puppet@production] db1134: Enable notifications

https://gerrit.wikimedia.org/r/606849

Change 606849 merged by Marostegui:
[operations/puppet@production] db1134: Enable notifications

https://gerrit.wikimedia.org/r/606849

Change 606850 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/puppet@production] install_server: Reimage db1118 to Buster.

https://gerrit.wikimedia.org/r/606850

Change 606850 merged by Marostegui:
[operations/puppet@production] install_server: Reimage db1118 to Buster.

https://gerrit.wikimedia.org/r/606850

Mentioned in SAL (#wikimedia-operations) [2020-06-22T05:58:45Z] <marostegui> Compress InnoDb on db1118 T254462

Marostegui updated the task description. (Show Details)Jun 22 2020, 3:30 PM

Change 607165 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/puppet@production] db1118: Enable notifications

https://gerrit.wikimedia.org/r/607165

Change 607165 merged by Marostegui:
[operations/puppet@production] db1118: Enable notifications

https://gerrit.wikimedia.org/r/607165

Change 607167 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/puppet@production] db1080: Disable notifications

https://gerrit.wikimedia.org/r/607167

Change 607167 merged by Marostegui:
[operations/puppet@production] db1080: Disable notifications

https://gerrit.wikimedia.org/r/607167

Mentioned in SAL (#wikimedia-operations) [2020-06-23T05:24:20Z] <marostegui> Compress InnoDB on db1080 T254462

Marostegui updated the task description. (Show Details)Jun 29 2020, 4:26 AM
Marostegui updated the task description. (Show Details)Jun 29 2020, 8:03 AM

Change 608267 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/puppet@production] db1089: Disable notifications

https://gerrit.wikimedia.org/r/c/operations/puppet/ /608267

Mentioned in SAL (#wikimedia-operations) [2020-06-29T08:58:54Z] <marostegui@cumin1001> dbctl commit (dc=all): 'Depool db1089 for InnoDB compression T254462', diff saved to https://phabricator.wikimedia.org/P11690 and previous config saved to /var/cache/conftool/dbconfig/20200629-085854-marostegui.json

Change 608267 merged by Marostegui:
[operations/puppet@production] db1089: Disable notifications

https://gerrit.wikimedia.org/r/c/operations/puppet/ /608267

Mentioned in SAL (#wikimedia-operations) [2020-06-29T08:59:39Z] <marostegui> Compress InnoDB on db1089 (this will cause lag and will take a few days) - T254462

Marostegui updated the task description. (Show Details)Jul 6 2020, 4:42 AM

Change 609613 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/puppet@production] db1089: Enable notifications

https://gerrit.wikimedia.org/r/609613

Change 609613 merged by Marostegui:
[operations/puppet@production] db1089: Enable notifications

https://gerrit.wikimedia.org/r/609613

Mentioned in SAL (#wikimedia-operations) [2020-07-06T11:07:23Z] <marostegui@cumin1001> dbctl commit (dc=all): 'Depool db1107 T254462', diff saved to https://phabricator.wikimedia.org/P11745 and previous config saved to /var/cache/conftool/dbconfig/20200706-110723-marostegui.json

Change 609765 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/puppet@production] db1107: Disable notifications

https://gerrit.wikimedia.org/r/609765

Mentioned in SAL (#wikimedia-operations) [2020-07-06T11:09:45Z] <marostegui> Compress InnoDB on db1107 T254462

Change 609765 merged by Marostegui:
[operations/puppet@production] db1107: Disable notifications

https://gerrit.wikimedia.org/r/609765

Marostegui updated the task description. (Show Details)Jul 10 2020, 4:56 AM

Change 611075 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/puppet@production] db1107: Enable notifications

https://gerrit.wikimedia.org/r/611075

Change 611075 merged by Marostegui:
[operations/puppet@production] db1107: Enable notifications

https://gerrit.wikimedia.org/r/611075

Change 611165 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/puppet@production] db1124: Disable notifications

https://gerrit.wikimedia.org/r/611165

Mentioned in SAL (#wikimedia-operations) [2020-07-10T06:35:05Z] <marostegui> Compress InnoDB on db1124:3311 (Sanitarium - lag will appear on s1 on labsdb) - T254462

Change 611165 merged by Marostegui:
[operations/puppet@production] db1124: Disable notifications

https://gerrit.wikimedia.org/r/611165

Marostegui updated the task description. (Show Details)Jul 13 2020, 5:12 AM

Change 611957 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/puppet@production] db1119: Disable notifications

https://gerrit.wikimedia.org/r/611957

Change 611957 merged by Marostegui:
[operations/puppet@production] db1119: Disable notifications

https://gerrit.wikimedia.org/r/611957

Marostegui updated the task description. (Show Details)Jul 20 2020, 5:21 AM

Change 614917 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/puppet@production] db1119: Enable notifications

https://gerrit.wikimedia.org/r/614917

Change 614917 merged by Marostegui:
[operations/puppet@production] db1119: Enable notifications

https://gerrit.wikimedia.org/r/614917

Change 616513 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/puppet@production] db1106: Disable notifications

https://gerrit.wikimedia.org/r/616513

Mentioned in SAL (#wikimedia-operations) [2020-07-27T12:38:34Z] <marostegui@cumin1001> dbctl commit (dc=all): 'Depool db1106 and pool db1105:3311 as vslow T254462', diff saved to https://phabricator.wikimedia.org/P12050 and previous config saved to /var/cache/conftool/dbconfig/20200727-123833-marostegui.json

Change 616513 merged by Marostegui:
[operations/puppet@production] db1106: Disable notifications

https://gerrit.wikimedia.org/r/616513

Mentioned in SAL (#wikimedia-operations) [2020-07-27T12:41:00Z] <marostegui> Compress innodb on db1106, this will generate lag on enwiki on labsdb hosts (wiki replicas) T254462

Proc added a subscriber: Proc.Aug 1 2020, 10:08 AM
Marostegui updated the task description. (Show Details)Aug 3 2020, 4:59 AM

Change 617875 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/puppet@production] db1106: Enable notifications

https://gerrit.wikimedia.org/r/617875

Change 617875 merged by Marostegui:
[operations/puppet@production] db1106: Enable notifications

https://gerrit.wikimedia.org/r/617875

Marostegui changed the task status from Open to Stalled.Aug 3 2020, 5:02 AM
Marostegui moved this task from In progress to Blocked external/Not db team on the DBA board.

This is all done except the master, which will be done once the DC switchover is done and eqiad is stand by.

Mentioned in SAL (#wikimedia-operations) [2020-08-03T05:04:38Z] <marostegui> Remove db1108:3321 and db1108:3322 from tendril and add db1108:3351 and db1108:3352 T254462

Marostegui changed the task status from Stalled to Open.Sep 7 2020, 4:34 AM
Marostegui moved this task from Blocked external/Not db team to In progress on the DBA board.

Mentioned in SAL (#wikimedia-operations) [2020-09-07T04:56:17Z] <marostegui> Compress InnoDB on s1 eqiad master - this will generate a few day of lag on s1 and labsdb for enwiki T254462

Marostegui closed this task as Resolved.Sep 11 2020, 2:03 PM
Marostegui updated the task description. (Show Details)

This is all done